Index: /palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_module.f90	(revision 4576)
+++ /palm/trunk/SOURCE/data_output_module.f90	(revision 4577)
@@ -2372,153 +2388,153 @@
           CASE ( 'netcdf4-parallel', 'netcdf4-serial' )
 !
-!--          character output
+!--          Character output
              IF ( PRESENT( values_char_0d ) )  THEN
-                 CALL netcdf4_write_variable( file_id, variable_id,                     &
-                         bounds_start_internal, value_counts, bounds_origin, is_global, &
+                 CALL netcdf4_write_variable( file_id, variable_id,                                &
+                         bounds_start_internal, value_counts, bounds_origin, is_global,            &
                         values_char_0d=values_char_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_char_1d=values_char_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_char_2d=values_char_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_char_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_char_3d=values_char_3d_pointer, return_value=output_return_value )
 !
 !--          8bit integer output
              ELSEIF ( PRESENT( values_int8_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_0d=values_int8_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_1d=values_int8_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_2d=values_int8_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int8_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int8_3d=values_int8_3d_pointer, return_value=output_return_value )
 !
 !--          16bit integer output
              ELSEIF ( PRESENT( values_int16_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_0d=values_int16_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_1d=values_int16_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_2d=values_int16_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int16_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int16_3d=values_int16_3d_pointer, return_value=output_return_value )
 !
 !--          32bit integer output
              ELSEIF ( PRESENT( values_int32_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_0d=values_int32_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_1d=values_int32_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_2d=values_int32_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_int32_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_int32_3d=values_int32_3d_pointer, return_value=output_return_value )
 !
-!--          working-precision integer output
+!--          Working-precision integer output
              ELSEIF ( PRESENT( values_intwp_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_0d=values_intwp_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_1d=values_intwp_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_2d=values_intwp_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_intwp_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_intwp_3d=values_intwp_3d_pointer, return_value=output_return_value )
 !
 !--          32bit real output
              ELSEIF ( PRESENT( values_real32_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_0d=values_real32_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_1d=values_real32_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_2d=values_real32_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real32_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real32_3d=values_real32_3d_pointer, return_value=output_return_value )
 !
 !--          64bit real output
              ELSEIF ( PRESENT( values_real64_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_0d=values_real64_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_1d=values_real64_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_2d=values_real64_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_real64_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_real64_3d=values_real64_3d_pointer, return_value=output_return_value )
 !
 !--          working-precision real output
              ELSEIF ( PRESENT( values_realwp_0d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_0d=values_realwp_0d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_1d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_1d=values_realwp_1d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_2d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_2d=values_realwp_2d_pointer, return_value=output_return_value )
              ELSEIF ( PRESENT( values_realwp_3d ) )  THEN
-                CALL netcdf4_write_variable( file_id, variable_id,                     &
-                        bounds_start_internal, value_counts, bounds_origin, is_global, &
+                CALL netcdf4_write_variable( file_id, variable_id,                                 &
+                        bounds_start_internal, value_counts, bounds_origin, is_global,             &
                         values_realwp_3d=values_realwp_3d_pointer, return_value=output_return_value )
              ELSE
                 return_value = 1
-                CALL internal_message( 'error', routine_name //                          &
-                                       ': output_type not supported by file format "' // &
-                                       TRIM( file_format ) // '" ' //                    &
-                                       '(variable "' // TRIM( variable_name ) //         &
+                CALL internal_message( 'error', routine_name //                                    &
+                                       ': output_type not supported by file format "' //           &
+                                       TRIM( file_format ) // '" ' //                              &
+                                       '(variable "' // TRIM( variable_name ) //                   &
                                        '", file "' // TRIM( file_name ) // '")!' )
              ENDIF
@@ -2526,8 +2542,8 @@
           CASE DEFAULT
              return_value = 1
-             CALL internal_message( 'error', routine_name //                    &
-                                    ': file format "' // TRIM( file_format ) // &
-                                    '" not supported ' //                       &
-                                    '(variable "' // TRIM( variable_name ) //   &
+             CALL internal_message( 'error', routine_name //                                       &
+                                    ': file format "' // TRIM( file_format ) //                    &
+                                    '" not supported ' //                                          &
+                                    '(variable "' // TRIM( variable_name ) //                      &
                                     '", file "' // TRIM( file_name ) // '")!' )
 
@@ -2536,7 +2552,7 @@
        IF ( return_value == 0  .AND.  output_return_value /= 0 )  THEN
           return_value = 1
-          CALL internal_message( 'error', routine_name //                  &
-                                 ': error while writing variable ' //      &
-                                 '(variable "' // TRIM( variable_name ) // &
+          CALL internal_message( 'error', routine_name //                                          &
+                                 ': error while writing variable ' //                              &
+                                 '(variable "' // TRIM( variable_name ) //                         &
                                  '", file "' // TRIM( file_name ) // '")!' )
        ENDIF
@@ -2589,12 +2605,12 @@
           IF ( output_return_value /= 0 )  THEN
              return_value = output_return_value
-             CALL internal_message( 'error', routine_name //             &
-                                    ': error while finalizing file "' // &
+             CALL internal_message( 'error', routine_name //                                       &
+                                    ': error while finalizing file "' //                           &
                                     TRIM( files(f)%name ) // '"' )
           ELSEIF ( return_value_internal /= 0 )  THEN
              return_value = return_value_internal
-             CALL internal_message( 'error', routine_name //                     &
-                                    ': unsupported file format "' //             &
-                                    TRIM( files(f)%format ) // '" for file "' // &
+             CALL internal_message( 'error', routine_name //                                       &
+                                    ': unsupported file format "' //                               &
+                                    TRIM( files(f)%format ) // '" for file "' //                   &
                                     TRIM( files(f)%name ) // '"' )
           ENDIF
@@ -2636,8 +2652,8 @@
              RESULT( return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'save_attribute_in_database'  !< name of routine
+
     CHARACTER(LEN=*), INTENT(IN) ::  file_name      !< name of file
     CHARACTER(LEN=*), INTENT(IN) ::  variable_name  !< name of variable
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'save_attribute_in_database'  !< name of routine
 
     INTEGER ::  a             !< loop index
@@ -2658,7 +2674,7 @@
     found = .FALSE.
 
-    CALL internal_message( 'debug', routine_name //                            &
-                           ': define attribute "' // TRIM( attribute%name ) // &
-                           '" of variable "' // TRIM( variable_name ) //       &
+    CALL internal_message( 'debug', routine_name //                                                &
+                           ': define attribute "' // TRIM( attribute%name ) //                     &
+                           '" of variable "' // TRIM( variable_name ) //                           &
                            '" in file "' // TRIM( file_name ) // '"' )
 
@@ -2669,5 +2685,5 @@
           IF ( files(f)%is_init )  THEN
              return_value = 1
-             CALL internal_message( 'error', routine_name // ': file "' // TRIM( file_name ) // &
+             CALL internal_message( 'error', routine_name // ': file "' // TRIM( file_name ) //    &
                      '" is already initialized. No further attribute definition allowed!' )
              EXIT
@@ -2690,7 +2706,7 @@
 !
 !--                      Append existing string attribute
-                         files(f)%attributes(a)%value_char =             &
-                            TRIM( files(f)%attributes(a)%value_char ) // &
-                            TRIM( attribute%value_char )
+                         files(f)%attributes(a)%value_char =                                       &
+                                                      TRIM( files(f)%attributes(a)%value_char ) // &
+                                                      TRIM( attribute%value_char )
                       ELSE
                          files(f)%attributes(a) = attribute
@@ -2745,6 +2761,6 @@
 !
 !--                               Append existing character attribute
-                                  files(f)%dimensions(d)%attributes(a)%value_char =             &
-                                     TRIM( files(f)%dimensions(d)%attributes(a)%value_char ) // &
+                                  files(f)%dimensions(d)%attributes(a)%value_char =                &
+                                     TRIM( files(f)%dimensions(d)%attributes(a)%value_char ) //    &
                                      TRIM( attribute%value_char )
                                ELSE
@@ -2801,11 +2817,10 @@
 !--                      Check if attribute already exists
                          DO  a = 1, natts
-                            IF ( files(f)%variables(d)%attributes(a)%name == attribute%name )  &
-                            THEN
+                            IF ( files(f)%variables(d)%attributes(a)%name == attribute%name )  THEN
                                IF ( append )  THEN
 !
 !--                               Append existing character attribute
-                                  files(f)%variables(d)%attributes(a)%value_char =             &
-                                     TRIM( files(f)%variables(d)%attributes(a)%value_char ) // &
+                                  files(f)%variables(d)%attributes(a)%value_char =                 &
+                                     TRIM( files(f)%variables(d)%attributes(a)%value_char ) //     &
                                      TRIM( attribute%value_char )
                                ELSE
@@ -2848,9 +2863,9 @@
              IF ( .NOT. found )  THEN
                 return_value = 1
-                CALL internal_message( 'error',                                        &
-                        routine_name //                                                &
-                        ': requested dimension/variable "' // TRIM( variable_name ) // &
-                        '" for attribute "' // TRIM( attribute%name ) //               &
-                        '" does not exist in file "' // TRIM( file_name ) // '"' )
+                CALL internal_message( 'error',                                                    &
+                                    routine_name //                                                &
+                                    ': requested dimension/variable "' // TRIM( variable_name ) // &
+                                    '" for attribute "' // TRIM( attribute%name ) //               &
+                                    '" does not exist in file "' // TRIM( file_name ) // '"' )
              ENDIF
 
@@ -2865,8 +2880,8 @@
     IF ( .NOT. found  .AND.  return_value == 0 )  THEN
        return_value = 1
-       CALL internal_message( 'error',                                         &
-                              routine_name //                                  &
-                              ': requested file "' // TRIM( file_name ) //     &
-                              '" for attribute "' // TRIM( attribute%name ) // &
+       CALL internal_message( 'error',                                                             &
+                              routine_name //                                                      &
+                              ': requested file "' // TRIM( file_name ) //                         &
+                              '" for attribute "' // TRIM( attribute%name ) //                     &
                               '" does not exist' )
     ENDIF
@@ -2943,6 +2958,6 @@
        DO  d = 1, ndims
           DO  i = 1, nvars
-             dimension_is_used(d) = &
-                ANY( files(f)%dimensions(d)%name == files(f)%variables(i)%dimension_names )
+             dimension_is_used(d) =                                                                &
+                         ANY( files(f)%dimensions(d)%name == files(f)%variables(i)%dimension_names )
              IF ( dimension_is_used(d) )  EXIT
           ENDDO
@@ -2979,8 +2994,8 @@
  SUBROUTINE open_output_file( file_format, file_name, file_id, return_value )
 
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'open_output_file'  !< name of routine
+
     CHARACTER(LEN=*), INTENT(IN) ::  file_format  !< file format chosen for file
     CHARACTER(LEN=*), INTENT(IN) ::  file_name    !< name of file to be checked
-
-    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'open_output_file'  !< name of routine
 
     INTEGER, INTENT(OUT) ::  file_id              !< file ID
@@ -3010,10 +3025,10 @@
     IF ( output_return_value /= 0 )  THEN
        return_value = output_return_value
-       CALL internal_message( 'error', routine_name // &
+       CALL internal_message( 'error', routine_name //                                             &
                               ': error while opening file "' // TRIM( file_name ) // '"' )
     ELSEIF ( return_value /= 0 )  THEN
-       CALL internal_message( 'error', routine_name //                     &
-                              ': file "' // TRIM( file_name ) //           &
-                              '": file format "' // TRIM( file_format ) // &
+       CALL internal_message( 'error', routine_name //                                             &
+                              ': file "' // TRIM( file_name ) //                                   &
+                              '": file format "' // TRIM( file_format ) //                         &
                               '" not supported' )
     ENDIF
@@ -3042,6 +3057,6 @@
     IF ( ALLOCATED( file%attributes ) )  THEN
        DO  a = 1, SIZE( file%attributes )
-          return_value = write_attribute( file%format, file%id, file%name,     &
-                                          variable_id=no_id, variable_name='', &
+          return_value = write_attribute( file%format, file%id, file%name,                         &
+                                          variable_id=no_id, variable_name='',                     &
                                           attribute=file%attributes(a) )
           IF ( return_value /= 0 )  EXIT
@@ -3057,16 +3072,16 @@
 !
 !--          Initialize non-masked dimension
-             CALL init_file_dimension( file%format, file%id, file%name,       &
-                     file%dimensions(d)%id, file%dimensions(d)%name,          &
-                     file%dimensions(d)%data_type, file%dimensions(d)%length, &
-                     file%dimensions(d)%variable_id, return_value )
+             CALL init_file_dimension( file%format, file%id, file%name,                            &
+                                       file%dimensions(d)%id, file%dimensions(d)%name,             &
+                                       file%dimensions(d)%data_type, file%dimensions(d)%length,    &
+                                       file%dimensions(d)%variable_id, return_value )
 
           ELSE
 !
 !--          Initialize masked dimension
-             CALL init_file_dimension( file%format, file%id, file%name,            &
-                     file%dimensions(d)%id, file%dimensions(d)%name,               &
-                     file%dimensions(d)%data_type, file%dimensions(d)%length_mask, &
-                     file%dimensions(d)%variable_id, return_value )
+             CALL init_file_dimension( file%format, file%id, file%name,                            &
+                                       file%dimensions(d)%id, file%dimensions(d)%name,             &
+                                       file%dimensions(d)%data_type, file%dimensions(d)%length_mask,&
+                                       file%dimensions(d)%variable_id, return_value )
 
           ENDIF
